#ifndef __KEYBOARD_h_
#define __KEYBOARD_h_
#include "..\..\comm\AI8051U.h"
#include "usb_cdc_sr.h"

#define  KEY_ENTER  P32
#define  KEY_UP      P11
#define  KEY_DOWN     P10
#define  KEY_LEFT     P52
#define  KEY_RIGHT     P42

// 假设短按为300ms以内，长按超过600ms
#define SHORT_PRESS_TIME 1
#define LONG_PRESS_TIME  3
// 按键状态枚举
typedef enum {
    KEY_RELEASED,     //无效 
    KEY_SHORT_PRESS,  //短按
    KEY_LONG_PRESS    //长按 
} KeyState;

 #define KEY_UP_CODE    1
 #define KEY_DOWN_CODE  2
 #define KEY_LEFT_CODE  3
 #define KEY_RIGHT_CODE 4
 #define KEY_ENTER_CODE 5
 
 

void Key_enter_ctrl(void);
void Key_up_ctrl(void);
void Key_down_ctrl(void);
void Key_left_ctrl(void);
void Key_right_ctrl(void);

KeyState KeyBoard_GetValue(char keynum);
void KeyBoard_ClrValue(char keynum);
#endif


