#include "usb_cdc_sr.h"

void usb_polling(void)
{
   
    BYTE cnt;
		//设备状态检查
    if (DeviceState != DEVSTATE_CONFIGURED)
        return;
    //USB发送数据检查
    if (!UsbInBusy && (TxRptr != TxWptr))
    {
        EUSB = 0;
        UsbInBusy = 1;
        usb_write_reg(INDEX, 1);
        cnt = 0;
        while (TxRptr != TxWptr)
        {
             
            usb_write_reg(FIFO1, TxBuffer[TxRptr]);
            TxRptr ++;
            cnt++;
            if (cnt == EP1IN_SIZE) break;
        }
        usb_write_reg(INCSR1, INIPRDY);
        EUSB = 1;
    }  
	 
    //USB接收数据检查
    if (UsbOutBusy)
    {
        EUSB = 0;
        if (RxWptr - RxRptr < 256 - EP1OUT_SIZE)
        {
            UsbOutBusy = 0;
            usb_write_reg(INDEX, 1);
            usb_write_reg(OUTCSR1, 0);
        }
        EUSB = 1;
    }
}

/*
void UsbRecData(uchar * buf,uchar *reclen)
{
	uchar cnt = 0;
    if(RxWptr != RxRptr)
    {
        while(RxWptr != RxRptr)
        {
            *(buf+cnt) = RxBuffer[RxRptr++];
            cnt++;
        }   
        *reclen = cnt;
    }
}
*/

void UsbSendCDCData(const char *format, ...)
{
    va_list args;
    u8 len = 0;
    // 初始化 va_list
    va_start(args, format);
    // 使用 vsprintf 将格式化的数据写入字符串
    len = vsprintf(TxBuffer + TxWptr, format, args);
    TxWptr += len;
    // 清理 va_list
    va_end(args);  
}



 

